nanoblogger_plugins - additional plugins for nanoblogger
========================================================

Author: Gregor Herrmann <gregor+debian@comodo.priv.at>
Licence: GPL

1) weblog_visits.sh
-------------------
Function:
Counts hits on blog from apache access logs.

Configuration:
Set ACCESS_LOG in your configuration, e.g.
	ACCESS_LOG="/var/log/apache-ssl/vhosts/comodo-access.log*"
Attention: The user running nb most have reading permissions on the file(s),
e.g. be member of the adm group

Usage:
Put $TOTAL_VISITS into your templates, e.g.
	<div class="calendar">
	Total visits (last year): $TOTAL_VISITS
	</div>


2) calendar_prev.sh
-------------------
Function:
Creates a nice calendar table but for last month.

Configuration:
Set CAL_ARGS_PREV in your config, e.g.
	CAL_ARGS_PREV="-m `date --date "$(date +%Y-%m-15) 1 months ago" +'%m %Y'`"   

Usage:
Put $NB_Calendar_prev into your templates, e.g.
	<div class="side">
	$NB_Calendar_prev
	</div>
